shibboleth-3.5.0

Classes | Public Member Functions | List of all members
shibsp::TransactionLog Class Reference

Interface to a synchronized event/audit logging object. More...

`#include <shibsp/TransactionLog.h>`

Inheritance diagram for shibsp::TransactionLog:

## Classes
class | Event
| Callback interface that outputs an event record to a stream using formatting tokens. More...

## Public Member Functions
| TransactionLog (const char *fmt=nullptr, const char *absent=nullptr)
| Constructor. More...
xmltooling::Lockable * | lock ()
void | unlock ()
virtual void | write (const Event &e)
| Write a formatted event record to the log. More...

## Detailed Description

Interface to a synchronized event/audit logging object.

## Constructor & Destructor Documentation

## ◆ TransactionLog()

shibsp::TransactionLog::TransactionLog | ( | const char * | fmt = `nullptr`,
|  | const char * | absent = `nullptr`
| ) |  |

Constructor.

Parameters

  fmt | formatting string for events
  absent | string to output when a field is empty

## Member Function Documentation

## ◆ write()

virtual void shibsp::TransactionLog::write | ( | const Event & | e | ) |
| virtual

Write a formatted event record to the log.

This method is internally synchronized and the caller does NOT need to explicitly lock and unlock the object.

Parameters

  e | event to log

The documentation for this class was generated from the following file:

- shibsp/TransactionLog.h